* mn10300-opc.c (mn10300_operands): Add IMM32_LOWSHIFT8
[deliverable/binutils-gdb.git] / configure.in
... / ...
CommitLineData
1#! /bin/bash
2##############################################################################
3
4## This file is a shell script fragment that supplies the information
5## necessary to tailor a template configure script into the configure
6## script appropriate for this directory. For more information, check
7## any existing configure script.
8
9## Be warned, there are two types of configure.in files. There are those
10## used by Autoconf, which are macros which are expanded into a configure
11## script by autoconf. The other sort, of which this is one, is executed
12## by Cygnus configure.
13
14## For more information on these two systems, check out the documentation
15## for 'Autoconf' (autoconf.texi) and 'Configure' (configure.texi).
16
17# Copyright (C) 1992, 93, 94, 95, 1996 Free Software Foundation, Inc.
18#
19# This file is free software; you can redistribute it and/or modify it
20# under the terms of the GNU General Public License as published by
21# the Free Software Foundation; either version 2 of the License, or
22# (at your option) any later version.
23#
24# This program is distributed in the hope that it will be useful, but
25# WITHOUT ANY WARRANTY; without even the implied warranty of
26# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
27# General Public License for more details.
28#
29# You should have received a copy of the GNU General Public License
30# along with this program; if not, write to the Free Software
31# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
32
33##############################################################################
34
35### To add a new directory to the tree, first choose whether it is a target
36### or a host dependent tool. Then put it into the appropriate list
37### (library or tools, host or target), doing a dependency sort. For
38### example, gdb requires that byacc (or bison) be built first, so it is in
39### the ${host_tools} list after byacc and bison.
40
41
42# these libraries are used by various programs built for the host environment
43#
44host_libs="mmalloc libiberty opcodes bfd readline gash tcl tk tclX"
45
46if [ "${enable_gdbgui}" = "yes" ] ; then
47 host_libs="${host_libs} libgui"
48fi
49
50# these tools are built for the host environment
51#
52host_tools="texinfo byacc flex bison binutils ld gas gcc gdb make patch prms send-pr gprof gdbtest tgas etc expect dejagnu sim bash m4 autoconf ispell grep diff rcs cvs fileutils shellutils time textutils wdiff find emacs emacs19 uudecode hello tar gzip indent recode release sed utils guile perl apache inet gawk"
53
54
55# these libraries are built for the target environment, and are built after
56# the host libraries and the host tools (which may be a cross compiler)
57#
58target_libs="target-libiberty target-libgloss target-newlib target-libio target-librx target-libstdc++ target-libg++"
59
60
61# these tools are built using the target libs, and are intended to run only
62# in the target environment
63#
64# note: any program that *uses* libraries that are in the "target_libs"
65# list belongs in this list. those programs are also very likely
66# candidates for the "native_only" list which follows
67#
68target_tools="target-examples target-groff"
69
70################################################################################
71
72## These two lists are of directories that are to be removed from the
73## ${configdirs} list for either cross-compilations or for native-
74## compilations. For example, it doesn't make that much sense to
75## cross-compile Emacs, nor is it terribly useful to compile target-libiberty in
76## a native environment.
77
78# directories to be built in the native environment only
79#
80# This must be a single line because of the way it is searched by grep in
81# the code below.
82native_only="autoconf cvs emacs emacs19 fileutils find gawk grep gzip hello indent ispell m4 rcs recode sed shellutils tar textutils gash uudecode wdiff gprof target-groff guile perl apache inet time bash prms"
83
84# directories to be built in a cross environment only
85#
86cross_only="target-libiberty target-libgloss target-newlib"
87
88## All tools belong in one of the four categories, and are assigned above
89## We assign ${configdirs} this way to remove all embedded newlines. This
90## is important because configure will choke if they ever get through.
91## ${configdirs} is directories we build using the host tools.
92## ${target_configdirs} is directories we build using the target tools.
93#
94configdirs=`echo ${host_libs} ${host_tools}`
95target_configdirs=`echo ${target_libs} ${target_tools}`
96
97################################################################################
98
99srctrigger=move-if-change
100srcname="gnu development package"
101
102# This gets set non-empty for some net releases of packages.
103appdirs=""
104
105# per-host:
106
107# Work in distributions that contain no compiler tools, like Autoconf.
108if [ -d ${srcdir}/config ]; then
109case "${host}" in
110 m68k-hp-hpux*) host_makefile_frag=config/mh-hp300 ;;
111 m68k-apollo-sysv*) host_makefile_frag=config/mh-apollo68 ;;
112 m68k-apollo-bsd*) host_makefile_frag=config/mh-a68bsd ;;
113 m68k-*-linux*) host_makefile_frag=config/mh-linux ;;
114 m88k-dg-dgux*) host_makefile_frag=config/mh-dgux ;;
115 m88k-harris-cxux*) host_makefile_frag=config/mh-cxux ;;
116 m88k-motorola-sysv*) host_makefile_frag=config/mh-delta88;;
117 mips*-dec-ultrix*) host_makefile_frag=config/mh-decstation ;;
118 mips*-nec-sysv4*) host_makefile_frag=config/mh-necv4 ;;
119 mips*-sgi-irix6*) host_makefile_frag=config/mh-irix6 ;;
120 mips*-sgi-irix5*) host_makefile_frag=config/mh-irix5 ;;
121 mips*-sgi-irix4*) host_makefile_frag=config/mh-irix4 ;;
122 mips*-sgi-irix3*) host_makefile_frag=config/mh-sysv ;;
123 mips*-*-sysv4*) host_makefile_frag=config/mh-sysv4 ;;
124 mips*-*-sysv*) host_makefile_frag=config/mh-riscos ;;
125 i[3456]86-*-dgux*) host_makefile_frag=config/mh-dgux386 ;;
126 i[3456]86-ncr-sysv4.3) host_makefile_frag=config/mh-ncrsvr43 ;;
127 i[3456]86-ncr-sysv4*) host_makefile_frag=config/mh-ncr3000 ;;
128 i[3456]86-*-sco3.2v5*) host_makefile_frag=config/mh-sysv ;;
129 i[3456]86-*-sco*) host_makefile_frag=config/mh-sco ;;
130 i[3456]86-*-isc*) host_makefile_frag=config/mh-sysv ;;
131 i[3456]86-*-linux*) host_makefile_frag=config/mh-linux ;;
132 i[3456]86-*-solaris2*) host_makefile_frag=config/mh-sysv4 ;;
133 i[3456]86-*-aix*) host_makefile_frag=config/mh-aix386 ;;
134 i[3456]86-*-go32*) host_makefile_frag=config/mh-go32 ;;
135 *-cygwin32*) host_makefile_frag=config/mh-cygwin32 ;;
136 *-windows*) host_makefile_frag=config/mh-windows ;;
137 vax-*-ultrix2*) host_makefile_frag=config/mh-vaxult2 ;;
138 *-*-solaris2*) host_makefile_frag=config/mh-solaris ;;
139 m68k-sun-sunos*) host_makefile_frag=config/mh-sun3 ;;
140 *-hp-hpux[78]*) host_makefile_frag=config/mh-hpux8 ;;
141 *-hp-hpux*) host_makefile_frag=config/mh-hpux ;;
142 *-*-hiux*) host_makefile_frag=config/mh-hpux ;;
143 rs6000-*-lynxos*) host_makefile_frag=config/mh-lynxrs6k ;;
144 *-*-lynxos*) host_makefile_frag=config/mh-lynxos ;;
145 *-*-sysv4*) host_makefile_frag=config/mh-sysv4 ;;
146 *-*-sysv*) host_makefile_frag=config/mh-sysv ;;
147esac
148fi
149
150# If we aren't going to be using gcc, see if we can extract a definition
151# of CC from the fragment.
152if [ -z "${CC}" -a "${build}" = "${host}" ]; then
153 IFS="${IFS= }"; save_ifs="$IFS"; IFS="${IFS}:"
154 found=
155 for dir in $PATH; do
156 test -z "$dir" && dir=.
157 if test -f $dir/gcc; then
158 found=yes
159 break
160 fi
161 done
162 IFS="$save_ifs"
163 if [ -z "${found}" -a -n "${host_makefile_frag}" -a -f "${srcdir}/${host_makefile_frag}" ]; then
164 xx=`sed -n -e 's/^[ ]*CC[ ]*=[ ]*\(.*\)$/\1/p' < ${srcdir}/${host_makefile_frag}`
165 if [ -n "${xx}" ] ; then
166 CC=$xx
167 fi
168 fi
169fi
170
171# We default to --with-shared on platforms where -fpic is meaningless.
172# Well, we don't yet, but we will.
173if false && [ "${host}" = "${target}" ] && [ x${enable_shared} = x ]; then
174 case "${target}" in
175 alpha-dec-osf*) enable_shared=yes ;;
176 alpha-*-linux*) enable_shared=yes ;;
177 mips-sgi-irix5*) enable_shared=yes ;;
178 *) enable_shared=no ;;
179 esac
180fi
181
182case "${enable_shared}" in
183 yes) shared=yes ;;
184 no) shared=no ;;
185 "") shared=no ;;
186 *) shared=yes ;;
187esac
188
189if [ x${shared} = xyes ]; then
190 waugh=
191 case "${host}" in
192 hppa*) waugh=config/mh-papic ;;
193 i[3456]86-*) waugh=config/mh-x86pic ;;
194 sparc64-*) waugh=config/mh-sparcpic ;;
195 *) waugh=config/mh-${host_cpu}pic ;;
196 esac
197 if [ -f ${srcdir}/${waugh} ]; then
198 if [ -n "${host_makefile_frag}" ] ; then
199 cat ${srcdir}/${host_makefile_frag} > mh-frag
200 cat ${srcdir}/${waugh} >> mh-frag
201 host_makefile_frag=mh-frag
202 else
203 host_makefile_frag=${waugh}
204 fi
205 fi
206fi
207
208# per-target:
209
210case "${target}" in
211 v810*) target_makefile_frag=config/mt-v810 ;;
212 i[3456]86-*-netware*) target_makefile_frag=config/mt-netware ;;
213 powerpc-*-netware*) target_makefile_frag=config/mt-netware ;;
214 powerpc*-*-eabi* | \
215 powerpc*-*-elf* | \
216 powerpc*-*-linux* | \
217 powerpc*-*-rtem* | \
218 powerpc*-*-sysv* | \
219 powerpc*-*-solaris*) target_makefile_frag=config/mt-ppc ;;
220esac
221
222skipdirs=
223gasdir=gas
224use_gnu_ld=
225use_gnu_as=
226
227# some tools are so dependent upon X11 that if we're not building with X,
228# it's not even worth trying to configure, much less build, that tool.
229
230case ${with_x} in
231 yes | "") # the default value for this tree is that X11 is available
232 ;;
233 no)
234 skipdirs="${skipdirs} tk gash"
235 ;;
236 *)
237 echo "*** bad value \"${with_x}\" for -with-x flag; ignored" 1>&2
238 ;;
239esac
240
241# Some tools are only suitable for building in a "native" situation.
242# Those are added when we have a host==target configuration. For cross
243# toolchains, we add some directories that should only be useful in a
244# cross-compiler.
245
246is_cross_compiler=
247
248if [ x"${host}" = x"${target}" ] ; then
249 # when doing a native toolchain, don't build the targets
250 # that are in the 'cross only' list
251 skipdirs="${skipdirs} ${cross_only}"
252 is_cross_compiler=no
253 target_subdir=.
254else
255 # similarly, don't build the targets in the 'native only'
256 # list when building a cross compiler
257 skipdirs="${skipdirs} ${native_only}"
258 is_cross_compiler=yes
259 target_subdir=${target_alias}
260 if [ ! -d ${target_subdir} ] ; then
261 if mkdir ${target_subdir} ; then true
262 else
263 echo "'*** could not make ${PWD=`pwd`}/${target_subdir}" 1>&2
264 exit 1
265 fi
266 fi
267fi
268
269copy_dirs=
270
271# Handle --with-headers=XXX. The contents of the named directory are
272# copied to $(tooldir)/sys-include.
273if [ x"${with_headers}" != x ]; then
274 if [ x${is_cross_compiler} = xno ]; then
275 echo 1>&2 '***' --with-headers is only supported when cross compiling
276 exit 1
277 fi
278 case "${exec_prefixoption}" in
279 "") x=${prefix} ;;
280 *) x=${exec_prefix} ;;
281 esac
282 copy_dirs="${copy_dirs} ${with_headers} $x/${target_alias}/sys-include"
283fi
284
285# Handle --with-libs=XXX. Multiple directories are permitted. The
286# contents are copied to $(tooldir)/lib.
287if [ x"${with_libs}" != x ]; then
288 if [ x${is_cross_compiler} = xno ]; then
289 echo 1>&2 '***' --with-libs is only supported when cross compiling
290 exit 1
291 fi
292 # Copy the libraries in reverse order, so that files in the first named
293 # library override files in subsequent libraries.
294 case "${exec_prefixoption}" in
295 "") x=${prefix} ;;
296 *) x=${exec_prefix} ;;
297 esac
298 for l in ${with_libs}; do
299 copy_dirs="$l $x/${target_alias}/lib ${copy_dirs}"
300 done
301fi
302
303# If both --with-headers and --with-libs are specified, default to
304# --without-newlib.
305if [ x"${with_headers}" != x ] && [ x"${with_libs}" != x ]; then
306 if [ x"${with_newlib}" = x ]; then
307 with_newlib=no
308 fi
309fi
310
311# Recognize --with-newlib/--without-newlib.
312if [ x${with_newlib} = xno ]; then
313 skipdirs="${skipdirs} target-newlib"
314elif [ x${with_newlib} = xyes ]; then
315 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
316fi
317
318# Default to using --with-stabs for certain targets.
319if [ x${with_stabs} = x ]; then
320 case "${target}" in
321 mips*-*-* | alpha*-*-osf* | i[3456]86*-*-sysv4* | i[3456]86*-*-unixware*)
322 with_stabs=yes;
323 withoptions="${withoptions} --with-stabs"
324 ;;
325 esac
326fi
327
328# Handle ${copy_dirs}
329set fnord ${copy_dirs}
330shift
331while [ $# != 0 ]; do
332 if [ -f $2/COPIED ] && [ x"`cat $2/COPIED`" = x"$1" ]; then
333 :
334 else
335 echo Copying $1 to $2
336
337 # Use the install script to create the directory and all required
338 # parent directories.
339 if [ -d $2 ]; then
340 :
341 else
342 echo >config.temp
343 ${srcdir}/install.sh -c -m 644 config.temp $2/COPIED
344 fi
345
346 # Copy the directory, assuming we have tar.
347 # FIXME: Should we use B in the second tar? Not all systems support it.
348 (cd $1; tar -cf - .) | (cd $2; tar -xpf -)
349
350 # It is the responsibility of the user to correctly adjust all
351 # symlinks. If somebody can figure out how to handle them correctly
352 # here, feel free to add the code.
353
354 echo $1 > $2/COPIED
355 fi
356 shift; shift
357done
358
359# Configure extra directories which are host specific
360
361case "${host}" in
362 i[3456]86-*-go32*)
363 configdirs="$configdirs dosrel" ;;
364 *-cygwin32*)
365 configdirs="$configdirs dosrel" ;;
366esac
367
368# Remove more programs from consideration, based on the host or
369# target this usually means that a port of the program doesn't
370# exist yet.
371
372noconfigdirs=""
373
374case "${host}" in
375 i[3456]86-*-vsta)
376 noconfigdirs="tcl expect dejagnu make texinfo bison patch flex byacc send-pr gprof uudecode dejagnu diff guile perl apache inet"
377 ;;
378 i[3456]86-*-go32)
379 noconfigdirs="tcl tk expect dejagnu make texinfo bison patch flex byacc send-pr gprof uudecode dejagnu diff guile perl apache inet"
380 ;;
381 *-*-cygwin32)
382 noconfigdirs="tk tcl expect dejagnu cvs autoconf bison send-pr gprof rcs guile perl texinfo apache inet"
383 ;;
384 *-*-windows*)
385# This is only used to build WinGDB...
386 configdirs="bfd gdb libiberty opcodes readline sim"
387 target_configdirs=
388 ;;
389 ppc*-*-pe)
390 noconfigdirs="patch diff make tk tcl expect dejagnu cvs autoconf texinfo bison send-pr gprof rcs guile perl apache inet"
391 ;;
392esac
393
394
395case "${target}" in
396 *-*-netware)
397 noconfigdirs="$noconfigdirs target-libg++ target-libstdc++ target-librx target-newlib target-libiberty target-libgloss"
398 ;;
399 *-*-vxworks*)
400 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
401 ;;
402 alpha-dec-osf*)
403 # ld works, but does not support shared libraries. emacs doesn't
404 # work. newlib is not 64 bit ready. I'm not sure about fileutils or grep.
405 # gas doesn't generate exception information.
406 noconfigdirs="$noconfigdirs gas ld emacs fileutils grep target-newlib target-libgloss"
407 ;;
408 alpha*-*-*vms*)
409 noconfigdirs="$noconfigdirs gdb ld target-newlib target-libgloss"
410 ;;
411 alpha*-*-*)
412 # newlib is not 64 bit ready
413 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
414 ;;
415# start-sanitize-arc
416 arc-*-*)
417 noconfigdirs="$noconfigdirs target-libgloss"
418 ;;
419# end-sanitize-arc
420 arm-*-pe*)
421 noconfigdirs="$noconfigdirs target-libgloss"
422 ;;
423 arm-*-coff*)
424 noconfigdirs="$noconfigdirs target-libgloss"
425 ;;
426 arm-*-riscix*)
427 noconfigdirs="$noconfigdirs ld target-libgloss"
428 ;;
429# start-sanitize-d10v
430 d10v-*-*)
431 noconfigdirs="$noconfigdirs target-libg++ target-libstdc++ target-libio target-libgloss"
432 ;;
433# end-sanitize-d10v
434 h8300*-*-* | \
435 h8500-*-*)
436 noconfigdirs="$noconfigdirs target-libg++ target-libstdc++ target-libio target-librx target-libgloss"
437 ;;
438 hppa*-*-*elf* | \
439 hppa*-*-lites*)
440 # Do configure ld/binutils/gas for this case.
441 ;;
442 hppa*-*-*)
443 # HP's C compiler doesn't handle Emacs correctly (but on BSD and Mach
444 # cc is gcc, and on any system a user should be able to link cc to
445 # whatever they want. FIXME, emacs emacs19).
446 case "${CC}" in
447 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
448 *) ;;
449 esac
450 noconfigdirs="$noconfigdirs ld shellutils"
451 ;;
452 i[3456]86-*-go32)
453 # but don't build gdb
454 noconfigdirs="$noconfigdirs gdb target-libg++ target-libstdc++ target-libio target-librx"
455 ;;
456 *-*-cygwin32)
457 target_configdirs="$target_configdirs target-winsup"
458 noconfigdirs="$noconfigdirs tcl tk expect target-libgloss"
459 # always build newlib.
460 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
461
462 # Can't build gdb for cygwin32 if not native.
463 case "${host}" in
464 *-*-cygwin32) ;; # keep gdb
465 *) noconfigdirs="$noconfigdirs gdb"
466 esac
467 ;;
468 i[3456]86-*-pe)
469 noconfigdirs="$noconfigdirs target-libg++ target-libstdc++ target-libio target-librx target-libgloss"
470 ;;
471 i[3456]86-*-sco3.2v5*)
472 # The linker does not yet know about weak symbols in COFF,
473 # and is not configured to handle mixed ELF and COFF.
474 noconfigdirs="$noconfigdirs gprof ld target-libgloss"
475 ;;
476 i[3456]86-*-sco*)
477 noconfigdirs="$noconfigdirs gprof target-libgloss"
478 ;;
479 i[3456]86-*-solaris2*)
480 # The linker does static linking correctly, but the Solaris C library
481 # has bugs such that some important functions won't work when statically
482 # linked. (See man pages for getpwuid, for example.)
483 noconfigdirs="$noconfigdirs ld target-libgloss"
484 ;;
485 i[3456]86-*-sysv4*)
486 # The SYSV4 C compiler doesn't handle Emacs correctly
487 case "${CC}" in
488 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
489 *) ;;
490 esac
491 # but that's okay since emacs doesn't work anyway
492 noconfigdirs="$noconfigdirs emacs emacs19 target-libgloss"
493 ;;
494# start-sanitize-m32r
495 m32r-*-*)
496 noconfigdirs="$noconfigdirs target-libio target-libstdc++ target-libg++ gdb"
497 ;;
498# end-sanitize-m32r
499 mn10200-*-*)
500 noconfigdirs="$noconfigdirs ld gcc gdb target-libiberty target-libgloss target-newlib target-libio target-librx target-libstdc++ target-libg++"
501 ;;
502 mn10300-*-*)
503 noconfigdirs="$noconfigdirs ld gcc gdb target-libiberty target-libgloss target-newlib target-libio target-librx target-libstdc++ target-libg++"
504 ;;
505 powerpc-*-aix*)
506 # copied from rs6000-*-* entry
507 noconfigdirs="$noconfigdirs gprof cvs target-libgloss"
508 # This is needed until gcc and ld are fixed to work together.
509 use_gnu_ld=no
510 ;;
511 powerpc*-*-winnt* | powerpc*-*-pe* | ppc*-*-pe)
512 target_configdirs="$target_configdirs target-winsup"
513 noconfigdirs="$noconfigdirs gdb tcl tk make expect target-libgloss"
514 # always build newlib.
515 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
516 ;;
517 # This is temporary until we can link against shared libraries
518 powerpcle-*-solaris*)
519 noconfigdirs="$noconfigdirs gdb sim make tcl tk expect"
520 ;;
521 rs6000-*-lynxos*)
522 # The CVS server code doesn't work on the RS/6000
523 # Newlib makes problems for libg++ in crosses.
524 noconfigdirs="$noconfigdirs target-newlib gprof cvs"
525 ;;
526 rs6000-*-aix*)
527 noconfigdirs="$noconfigdirs gprof"
528 # This is needed until gcc and ld are fixed to work together.
529 use_gnu_ld=no
530 ;;
531 rs6000-*-*)
532 noconfigdirs="$noconfigdirs gprof"
533 ;;
534 m68k-apollo-*)
535 noconfigdirs="$noconfigdirs ld binutils gprof target-libgloss"
536 ;;
537 mips*-*-irix5*)
538 # The GNU linker does not support shared libraries.
539 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
540 noconfigdirs="$noconfigdirs ld gprof emacs target-libgloss"
541 ;;
542 mips*-*-irix6*)
543 # The GNU linker does not support shared libraries.
544 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
545 # BFD does not have Irix 6 support yet.
546 noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes gdb readline mmalloc sim gprof emacs target-libgloss"
547 ;;
548 mips*-dec-bsd*)
549 noconfigdirs="$noconfigdirs gprof target-libgloss"
550 ;;
551 mips*-*-bsd*)
552 noconfigdirs="$noconfigdirs gprof target-libgloss"
553 ;;
554 mips*-*-*)
555 noconfigdirs="$noconfigdirs gprof"
556 ;;
557 romp-*-*)
558 noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss"
559 ;;
560 sh-*-*)
561 case "${host}" in
562 i[3456]86-*-vsta) ;; # don't add gprof back in
563 i[3456]86-*-go32) ;; # don't add gprof back in
564 *) skipdirs=`echo " ${skipdirs} " | sed -e 's/ gprof / /'` ;;
565 esac
566 noconfigdirs="$noconfigdirs target-libgloss"
567 ;;
568 sparc-*-sunos4*)
569 if [ x${is_cross_compiler} != xno ] ; then
570 noconfigdirs="$noconfigdirs gdb gdbtest target-newlib target-libgloss"
571 else
572 use_gnu_ld=no
573 fi
574 ;;
575 v810-*-*)
576 noconfigdirs="$noconfigdirs bfd binutils gas gcc gdb ld target-libio target-libg++ target-libstdc++ opcodes target-libgloss"
577 ;;
578# start-sanitize-v850
579 v850-*-*)
580 noconfigdirs="$noconfigdirs target-libgloss"
581 ;;
582# end-sanitize-v850
583 vax-*-vms)
584 noconfigdirs="$noconfigdirs bfd binutils gdb ld target-newlib opcodes target-libgloss"
585 ;;
586 vax-*-*)
587 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
588 ;;
589 *-*-lynxos*)
590 # Newlib makes problems for libg++ in crosses.
591 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
592 ;;
593 *-*-macos* | \
594 *-*-mpw*)
595 # Macs want a resource compiler.
596 configdirs="$configdirs grez"
597 ;;
598esac
599
600# targets that need a second pass
601case "${target}" in
602 *-gm-magic*)
603 noconfigdirs="$noconfigdirs target-libgloss"
604 ;;
605esac
606
607# If we aren't building newlib, then don't build libgloss, since libgloss
608# depends upon some newlib header files.
609case "${noconfigdirs}" in
610 *target-libgloss*) ;;
611 *target-newlib*) noconfigdirs="$noconfigdirs target-libgloss" ;;
612esac
613
614# If we are building a Canadian Cross, discard tools that can not be built
615# using a cross compiler. FIXME: These tools should be fixed.
616if [ "${build}" != "${host}" ]; then
617 noconfigdirs="$noconfigdirs tcl tk expect dejagnu"
618fi
619
620# Make sure we don't let GNU ld be added if we didn't want it.
621if [ x$with_gnu_ld = xno ]; then
622 use_gnu_ld=no
623 noconfigdirs="$noconfigdirs ld"
624fi
625
626# Make sure we don't let GNU as be added if we didn't want it.
627if [ x$with_gnu_as = xno ]; then
628 use_gnu_as=no
629 noconfigdirs="$noconfigdirs gas"
630fi
631
632# Remove the entries in $skipdirs and $noconfigdirs from $configdirs and
633# $target_configdirs.
634# If we have the source for $noconfigdirs entries, add them to $notsupp.
635
636notsupp=""
637for dir in . $skipdirs $noconfigdirs ; do
638 dirname=`echo $dir | sed -e s/target-//g`
639 if [ $dir != . ] && echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
640 configdirs=`echo " ${configdirs} " | sed -e "s/ ${dir} / /"`
641 if [ -r $srcdir/$dirname/configure ] \
642 || [ -r $srcdir/$dirname/configure.in ]; then
643 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
644 true
645 else
646 notsupp="$notsupp $dir"
647 fi
648 fi
649 fi
650 if [ $dir != . ] && echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
651 target_configdirs=`echo " ${target_configdirs} " | sed -e "s/ ${dir} / /"`
652 if [ -r $srcdir/$dirname/configure ] \
653 || [ -r $srcdir/$dirname/configure.in ]; then
654 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
655 true
656 else
657 notsupp="$notsupp $dir"
658 fi
659 fi
660 fi
661done
662
663# Sometimes the tools are distributed with libiberty but with no other
664# libraries. In that case, we don't want to build target-libiberty.
665if [ -n "${target_configdirs}" ]; then
666 others=
667 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
668 if [ "$i" != "libiberty" ]; then
669 if [ -r $srcdir/$i/configure ] || [ -r $srcdir/$i/configure.in ]; then
670 others=yes;
671 break;
672 fi
673 fi
674 done
675 if [ -z "${others}" ]; then
676 target_configdirs=
677 fi
678fi
679
680# Deconfigure all subdirectories, in case we are changing the
681# configuration from one where a subdirectory is supported to one where it
682# is not.
683if [ -z "${norecursion}" -a -n "${configdirs}" ]; then
684 for i in `echo ${configdirs} | sed -e s/target-//g` ; do
685 rm -f $i/Makefile
686 done
687fi
688if [ -z "${norecursion}" -a -n "${target_configdirs}" ]; then
689 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
690 rm -f ${target_subdir}/$i/Makefile
691 done
692fi
693
694# Produce a warning message for the subdirs we can't configure.
695# This isn't especially interesting in the Cygnus tree, but in the individual
696# FSF releases, it's important to let people know when their machine isn't
697# supported by the one or two programs in a package.
698
699if [ -n "${notsupp}" ] && [ -z "${norecursion}" ]; then
700 # If $appdirs is non-empty, at least one of those directories must still
701 # be configured, or we error out. (E.g., if the gas release supports a
702 # specified target in some subdirs but not the gas subdir, we shouldn't
703 # pretend that all is well.)
704 if [ -n "$appdirs" ]; then
705 for dir in $appdirs ; do
706 if [ -r $dir/Makefile.in ]; then
707 if echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
708 appdirs=""
709 break
710 fi
711 if echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
712 appdirs=""
713 break
714 fi
715 fi
716 done
717 if [ -n "$appdirs" ]; then
718 echo "*** This configuration is not supported by this package." 1>&2
719 exit 1
720 fi
721 fi
722 # Okay, some application will build, or we don't care to check. Still
723 # notify of subdirs not getting built.
724 echo "*** This configuration is not supported in the following subdirectories:" 1>&2
725 echo " ${notsupp}" 1>&2
726 echo " (Any other directories should still work fine.)" 1>&2
727fi
728
729# Set with_gnu_as and with_gnu_ld as appropriate.
730#
731# This is done by determining whether or not the appropriate directory
732# is available, and by checking whether or not specific configurations
733# have requested that this magic not happen.
734#
735# The command line options always override the explicit settings in
736# configure.in, and the settings in configure.in override this magic.
737#
738# If the default for a toolchain is to use GNU as and ld, and you don't
739# want to do that, then you should use the --without-gnu-as and
740# --without-gnu-ld options for the configure script.
741
742if [ x${use_gnu_as} = x ] ; then
743 if [ x${with_gnu_as} != xno ] && echo " ${configdirs} " | grep " ${gasdir} " > /dev/null 2>&1 && [ -d ${srcdir}/${gasdir} ] ; then
744 with_gnu_as=yes
745 withoptions="$withoptions --with-gnu-as"
746 fi
747fi
748
749if [ x${use_gnu_ld} = x ] ; then
750 if [ x${with_gnu_ld} != xno ] && echo " ${configdirs} " | grep " ld " > /dev/null 2>&1 && [ -d ${srcdir}/ld ] ; then
751 with_gnu_ld=yes
752 withoptions="$withoptions --with-gnu-ld"
753 fi
754fi
755
756# If using newlib, add --with-newlib to the withoptions so that gcc/configure
757# can detect this case.
758
759if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " target-newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
760 with_newlib=yes
761 withoptions="$withoptions --with-newlib"
762fi
763
764if [ x${shared} = xyes ]; then
765 case "${target}" in
766 hppa*) target_makefile_frag=config/mt-papic ;;
767 i[3456]86-*) target_makefile_frag=config/mt-x86pic ;;
768 *) target_makefile_frag=config/mt-${target_cpu}pic ;;
769 esac
770fi
771
772# post-target:
773
774# Make sure that the compiler is able to generate an executable. If it
775# can't, we are probably in trouble. We don't care whether we can run the
776# executable--we might be using a cross compiler--we only care whether it
777# can be created. At this point the main configure script has set CC.
778echo "int main () { return 0; }" > conftest.c
779${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c
780if [ $? = 0 ] && [ -s conftest ]; then
781 :
782else
783 echo 1>&2 "*** The command '${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c' failed."
784 echo 1>&2 "*** You must set the environment variable CC to a working compiler."
785 rm -f conftest*
786 exit 1
787fi
788rm -f conftest*
789
790# The Solaris /usr/ucb/cc compiler does not appear to work.
791case "${host}" in
792 sparc-sun-solaris2*)
793 CCBASE="`echo ${CC-cc} | sed 's/ .*$//'`"
794 if [ "`/usr/bin/which $CCBASE`" = "/usr/ucb/cc" ] ; then
795 could_use=
796 [ -d /opt/SUNWspro/bin ] && could_use="/opt/SUNWspro/bin"
797 if [ -d /opt/cygnus/bin ] ; then
798 if [ "$could_use" = "" ] ; then
799 could_use="/opt/cygnus/bin"
800 else
801 could_use="$could_use or /opt/cygnus/bin"
802 fi
803 fi
804 if [ "$could_use" = "" ] ; then
805 echo "Warning: compilation may fail because you're using"
806 echo "/usr/ucb/cc. You should change your PATH or CC "
807 echo "variable and rerun configure."
808 else
809 echo "Warning: compilation may fail because you're using"
810 echo "/usr/ucb/cc, when you should use the C compiler from"
811 echo "$could_use. You should change your"
812 echo "PATH or CC variable and rerun configure."
813 fi
814 fi
815 ;;
816esac
817
818# If --enable-shared was set, we must set LD_LIBRARY_PATH so that the
819# binutils tools will find libbfd.so.
820if [ "${shared}" = "yes" ]; then
821 sed -e 's/^SET_LIB_PATH[ ]*=.*$/SET_LIB_PATH = $(REALLY_SET_LIB_PATH)/' \
822 Makefile > Makefile.tem
823 rm -f Makefile
824 mv -f Makefile.tem Makefile
825
826 case "${host}" in
827 *-*-hpux*)
828 sed -e 's/RPATH_ENVVAR[ ]*=.*$/RPATH_ENVVAR = SHLIB_PATH/' \
829 Makefile > Makefile.tem
830 rm -f Makefile
831 mv -f Makefile.tem Makefile
832 ;;
833 esac
834fi
835
836# Record target_configdirs and the configure arguments in Makefile.
837target_configdirs=`echo "${target_configdirs}" | sed -e 's/target-//g'`
838targargs=`echo "${arguments}" | \
839 sed -e 's/--norecursion//' \
840 -e 's/--cache[a-z-]*=[^ ]*//' \
841 -e 's/--ho[a-z-]*=[^ ]*//' \
842 -e 's/--ta[a-z-]*=[^ ]*//'`
843
844# Passing a --with-cross-host argument lets the target libraries know
845# whether they are being built with a cross-compiler or being built
846# native. However, it would be better to use other mechanisms to make the
847# sorts of decisions they want to make on this basis. Please consider
848# this option to be deprecated. FIXME.
849if [ x${is_cross_compiler} = xyes ]; then
850 targargs="--with-cross-host=${host_alias} ${targargs}"
851fi
852
853targargs="--host=${target_alias} ${targargs}"
854sed -e "s:^TARGET_CONFIGDIRS[ ]*=.*$:TARGET_CONFIGDIRS = ${target_configdirs}:" \
855 -e "s%^CONFIG_ARGUMENTS[ ]*=.*$%CONFIG_ARGUMENTS = ${targargs}%" \
856 -e "s%^TARGET_SUBDIR[ ]*=.*$%TARGET_SUBDIR = ${target_subdir}%" \
857 Makefile > Makefile.tem
858rm -f Makefile
859mv -f Makefile.tem Makefile
860
861#
862# Local Variables:
863# fill-column: 131
864# End:
865#
This page took 0.02472 seconds and 4 git commands to generate.